> ## Documentation Index
> Fetch the complete documentation index at: https://dripart-feat-openapi-i18n.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# 새 커스텀 노드 생성



## OpenAPI

````yaml /openapi/registry.ko.yaml post /publishers/{publisherId}/nodes
openapi: 3.0.2
info:
  title: Comfy API
  version: '1.0'
servers:
  - url: https://api.comfy.org
security: []
paths:
  /publishers/{publisherId}/nodes:
    post:
      tags:
        - Registry
      summary: 새 커스텀 노드 생성
      operationId: CreateNode
      parameters:
        - in: path
          name: publisherId
          required: true
          schema:
            type: string
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/Node'
        required: true
      responses:
        '201':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Node'
          description: 노드 생성 성공
        '400':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
          description: 잘못된 요청, 잘못된 입력 데이터.
        '401':
          description: 인증되지 않음
        '500':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
          description: 내부 서버 오류
      security:
        - BearerAuth: []
components:
  schemas:
    Node:
      properties:
        author:
          type: string
        banner_url:
          description: 노드 배너의 URL.
          type: string
        category:
          deprecated: true
          description: '지원 중단됨: 노드의 카테고리. 대신 ''tags'' 필드를 사용하세요. 이 필드는 향후 버전에서 제거될 예정입니다.'
          type: string
        created_at:
          description: 노드가 생성된 날짜와 시간
          format: date-time
          type: string
        description:
          type: string
        downloads:
          description: 노드의 다운로드 횟수.
          type: integer
        github_stars:
          description: GitHub 저장소의 별표 수.
          type: integer
        icon:
          description: 노드 아이콘의 URL.
          type: string
        id:
          description: 노드의 고유 식별자.
          type: string
        latest_version:
          $ref: '#/components/schemas/NodeVersion'
        license:
          description: 노드 저장소의 LICENSE 파일 경로.
          type: string
        name:
          description: 노드의 표시 이름.
          type: string
        preempted_comfy_node_names:
          description: 이 노드에 의해 선점된 Comfy 노드 이름 목록.
          items:
            type: string
          type: array
        publisher:
          $ref: '#/components/schemas/Publisher'
        rating:
          description: 노드의 평균 평점.
          type: number
        repository:
          description: 노드 저장소의 URL.
          type: string
        search_ranking:
          description: 노드의 검색 순위를 나타내는 숫자 값으로, 검색 결과 정렬에 사용됩니다.
          type: integer
        status:
          $ref: '#/components/schemas/NodeStatus'
        status_detail:
          description: 노드의 상태 세부 정보.
          type: string
        supported_accelerators:
          description: '이 노드가 지원하는 가속기 목록 (예: CUDA, DirectML, ROCm)'
          items:
            type: string
          type: array
        supported_comfyui_frontend_version:
          description: 지원되는 ComfyUI 프론트엔드 버전
          type: string
        supported_comfyui_version:
          description: 지원되는 ComfyUI 버전
          type: string
        supported_os:
          description: 이 노드가 지원하는 운영 체제 목록
          items:
            type: string
          type: array
        tags:
          items:
            type: string
          type: array
        tags_admin:
          description: 보안 경고 및 관리자 메타데이터를 위한 관리자 전용 태그
          items:
            type: string
          type: array
        translations:
          additionalProperties:
            additionalProperties: true
            type: object
          description: 다른 언어로 된 노드 메타데이터의 번역.
          type: object
      type: object
    ErrorResponse:
      properties:
        error:
          type: string
        message:
          type: string
      required:
        - error
        - message
      type: object
    NodeVersion:
      properties:
        changelog:
          description: 이 버전에서 변경된 사항 요약
          type: string
        comfy_node_extract_status:
          description: Comfy 노드 추출 프로세스의 상태
          type: string
        createdAt:
          description: 버전이 생성된 날짜와 시간
          format: date-time
          type: string
        dependencies:
          description: 노드에 필요한 pip 의존성 목록
          items:
            type: string
          type: array
        deprecated:
          description: 이 버전이 지원 중단되었는지 여부를 나타냅니다.
          type: boolean
        downloadUrl:
          description: '[출력 전용] 이 노드 버전을 다운로드하는 URL'
          type: string
        id:
          type: string
        node_id:
          description: 노드의 고유 식별자
          type: string
        status:
          $ref: '#/components/schemas/NodeVersionStatus'
        status_reason:
          type: string
        supported_accelerators:
          description: '이 노드가 지원하는 가속기 목록 (예: CUDA, DirectML, ROCm)'
          items:
            type: string
          type: array
        supported_comfyui_frontend_version:
          description: 지원되는 ComfyUI 프론트엔드 버전
          type: string
        supported_comfyui_version:
          description: 지원되는 ComfyUI 버전
          type: string
        supported_os:
          description: 이 노드가 지원하는 운영 체제 목록
          items:
            type: string
          type: array
        tags:
          items:
            type: string
          type: array
        tags_admin:
          description: 보안 경고 및 관리자 메타데이터를 위한 관리자 전용 태그
          items:
            type: string
          type: array
        version:
          description: 시맨틱 버전 관리를 따르는 버전 식별자. 노드에 대해 고유해야 합니다.
          type: string
      type: object
    Publisher:
      properties:
        createdAt:
          description: 배포자가 생성된 날짜와 시간.
          format: date-time
          type: string
        description:
          type: string
        id:
          description: 배포자의 고유 식별자입니다. 사용자 이름과 유사합니다. 소문자여야 합니다.
          type: string
        logo:
          description: 배포자 로고의 URL.
          type: string
        members:
          description: 배포자 내 멤버 목록.
          items:
            $ref: '#/components/schemas/PublisherMember'
          type: array
        name:
          type: string
        source_code_repo:
          type: string
        status:
          $ref: '#/components/schemas/PublisherStatus'
        support:
          type: string
        website:
          type: string
      type: object
    NodeStatus:
      enum:
        - NodeStatusActive
        - NodeStatusDeleted
        - NodeStatusBanned
      type: string
    NodeVersionStatus:
      enum:
        - NodeVersionStatusActive
        - NodeVersionStatusDeleted
        - NodeVersionStatusBanned
        - NodeVersionStatusPending
        - NodeVersionStatusFlagged
      type: string
    PublisherMember:
      properties:
        id:
          description: 배포자 멤버의 고유 식별자.
          type: string
        role:
          description: 배포자 내 사용자의 역할.
          type: string
        user:
          $ref: '#/components/schemas/PublisherUser'
      type: object
    PublisherStatus:
      enum:
        - PublisherStatusActive
        - PublisherStatusBanned
      type: string
    PublisherUser:
      properties:
        email:
          description: 이 사용자의 이메일 주소.
          type: string
        id:
          description: 이 사용자의 고유 ID.
          type: string
        name:
          description: 이 사용자의 이름.
          type: string
      type: object
  securitySchemes:
    BearerAuth:
      bearerFormat: JWT
      scheme: bearer
      type: http

````